package com.example.resource.clue.convert.utils;
import cn.hutool.crypto.Mode;
import cn.hutool.crypto.Padding;
import cn.hutool.crypto.symmetric.AES;

/**
 * AES加密、解密
 * @author
 * @date 2021/12/16 15:14
 */
public class PhoneAESUtil {

    /**
     * 加密
     *
     * @param data
     * @return
     */
    public static String encrypt(String data, String decodeKey, String decodeIv) {
        byte[] key = decodeKey.getBytes();
        byte[] iv = decodeIv.getBytes();
        AES aes = new AES(Mode.CBC, Padding.PKCS5Padding, key, iv);
        String encrypt = aes.encryptHex(data);
        return encrypt;

    }

    /**
     * 解密
     *
     * @param data
     * @return
     */
    public static String decode(String data, String decodeKey, String decodeIv) {
        byte[] key = decodeKey.getBytes();
        byte[] iv = decodeIv.getBytes();
        AES aes = new AES(Mode.CBC, Padding.PKCS5Padding, key, iv);
        String decrypt = aes.decryptStr(data);
        return decrypt;
    }
}
